Skip to content
Developer

CustomerAppHomeWidgetDefault

System and settings6 EndpointsSettings / CustomerAppHomeWidgetDefault

Returns a list of all CustomerAppHomeWidgetDefault entries

GET/api/settings/home_widget_default

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/home_widget_default \
  --header 'x-iw-jwt-token: <TOKEN>'

Add a new CustomerAppHomeWidgetDefault

POST/api/settings/home_widget_default

Request body application/json

  • dataCustomerAppHomeWidgetDefault
    Show fields (16)
    • idinteger

      Primary key of the default widget. Internal ID.

    • widget_typestring

      Type of the widget.

    • titlestring

      Title of the widget.

    • grid_xinteger

      Column of the widget in the grid.

    • grid_yinteger

      Row of the widget in the grid.

    • span_xinteger

      Number of columns the widget spans.

    • span_yinteger

      Number of rows the widget spans.

    • widget_configstring

      Configuration of the widget, stored as JSON.

    • sort_orderinteger

      Position of the widget in the list.

    • scopestring

      Scope the default widget applies to.

    • availableboolean

      Whether the widget can be selected.

    • default_widgetboolean

      Whether the widget is shown by default.

    • enabledboolean

      Whether the widget is enabled.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/settings/home_widget_default \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "widget_type": "string",
    "grid_x": 1,
    "grid_y": 1,
    "span_x": 1
  }
}
'

Returns a single CustomerAppHomeWidgetDefault entry.

GET/api/settings/home_widget_default/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/home_widget_default/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

Updates an existing CustomerAppHomeWidgetDefault entry.

PUT/api/settings/home_widget_default/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataCustomerAppHomeWidgetDefault
    Show fields (16)
    • idinteger

      Primary key of the default widget. Internal ID.

    • widget_typestring

      Type of the widget.

    • titlestring

      Title of the widget.

    • grid_xinteger

      Column of the widget in the grid.

    • grid_yinteger

      Row of the widget in the grid.

    • span_xinteger

      Number of columns the widget spans.

    • span_yinteger

      Number of rows the widget spans.

    • widget_configstring

      Configuration of the widget, stored as JSON.

    • sort_orderinteger

      Position of the widget in the list.

    • scopestring

      Scope the default widget applies to.

    • availableboolean

      Whether the widget can be selected.

    • default_widgetboolean

      Whether the widget is shown by default.

    • enabledboolean

      Whether the widget is enabled.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/settings/home_widget_default/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "widget_type": "string",
    "grid_x": 1,
    "grid_y": 1,
    "span_x": 1
  }
}
'

Updates an existing CustomerAppHomeWidgetDefault entry.

PATCH/api/settings/home_widget_default/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataCustomerAppHomeWidgetDefault
    Show fields (16)
    • idinteger

      Primary key of the default widget. Internal ID.

    • widget_typestring

      Type of the widget.

    • titlestring

      Title of the widget.

    • grid_xinteger

      Column of the widget in the grid.

    • grid_yinteger

      Row of the widget in the grid.

    • span_xinteger

      Number of columns the widget spans.

    • span_yinteger

      Number of rows the widget spans.

    • widget_configstring

      Configuration of the widget, stored as JSON.

    • sort_orderinteger

      Position of the widget in the list.

    • scopestring

      Scope the default widget applies to.

    • availableboolean

      Whether the widget can be selected.

    • default_widgetboolean

      Whether the widget is shown by default.

    • enabledboolean

      Whether the widget is enabled.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/settings/home_widget_default/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "widget_type": "string",
    "grid_x": 1,
    "grid_y": 1,
    "span_x": 1
  }
}
'

Delete a CustomerAppHomeWidgetDefault (soft delete)

DELETE/api/settings/home_widget_default/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/settings/home_widget_default/42 \
  --header 'x-iw-jwt-token: <TOKEN>'